View Issue Details

IDProjectCategoryView StatusLast Update
0020141mantisbtsecuritypublic2016-06-12 00:42
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.19 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020141: bugnote actions in view bug page should send data as POST
Description

Buttons in bugnotes use a form submit with parameters encoded as GET
example: bugnote_delete.php?bugnote_id=xxxxxxx

Should be passed as POST data.

TagsNo tags attached.

Activities

cproensa

cproensa

2015-09-26 20:28

developer   ~0051542

proposed fix included in PR: https://github.com/mantisbt/mantisbt/pull/656

Related Changesets

MantisBT: master 813f42b7

2015-09-26 20:20:24

cproensa


Committer: dregad Details Diff
Modify button generation to submit parameters as POST

Fixes 0020141
mod - bugnote_view_inc.php Diff File

Issue History

Date Modified Username Field Change
2015-09-26 20:18 cproensa New Issue
2015-09-26 20:28 cproensa Note Added: 0051542
2016-03-07 05:27 dregad Changeset attached => MantisBT master 813f42b7
2016-03-07 05:27 dregad Assigned To => dregad
2016-03-07 05:27 dregad Status new => resolved
2016-03-07 05:27 dregad Resolution open => fixed
2016-03-07 05:27 dregad Fixed in Version => 1.3.0-rc.2
2016-03-07 05:29 dregad Assigned To dregad => cproensa
2016-03-07 05:29 dregad Target Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed